%global _empty_manifest_terminate_build 0
Name:           python-rst-linker
Version:        2.4.0
Release:        1
Summary:        Tools for adding metadata and hyperlinks to reStructuredText.
License:        MIT
URL:            https://github.com/jaraco/rst.linker
Source0:        https://files.pythonhosted.org/packages/5f/30/d5d2ccc48cc7f0b60306642c48af5d17afa23a65c122792ca326042a9b51/rst.linker-2.4.0.tar.gz
BuildArch:      noarch
%description
 rst.linker provides a routine for adding links and performing other custom
replacements to reStructuredText files as a Sphinx extension.License License is
indicated in the project metadata (typically one or more of the Trove
classifiers). For more details, see this explanation <.

%package -n python3-rst-linker
Summary:        rst.linker
Provides:       python-rst-linker
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-hatchling
# General requires
BuildRequires:  python3-dateutil
BuildRequires:  python3-six
# General requires
Requires:       python3-dateutil
Requires:       python3-six
%description -n python3-rst-linker
 rst.linker provides a routine for adding links and performing other custom
replacements to reStructuredText files as a Sphinx extension.License License is
indicated in the project metadata (typically one or more of the Trove
classifiers). For more details, see this explanation <.

%package help
Summary:        rst.linker
Provides:       python3-rst-linker-doc
%description help
 rst.linker provides a routine for adding links and performing other custom
replacements to reStructuredText files as a Sphinx extension.License License is
indicated in the project metadata (typically one or more of the Trove
classifiers). For more details, see this explanation <.

%prep
%autosetup -n rst.linker-%{version}

%build
%pyproject_build

%install
%pyproject_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/doclist.lst .


%files -n python3-rst-linker
%doc README.rst CHANGES.rst
%license LICENSE
%{python3_sitelib}/rst
%{python3_sitelib}/rst.linker*.dist-info/

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Sat Jul 8 2023 Dongxing Wang <dxwangk@isoftstone.com> - 2.4.0-1
- Upgrade to version 2.4.0

* Wed Nov 10 2021 OpenStack_SIG <openstack@openeuler.org> - 1.9-2
- Adds requires python3-setuptools_scm

* Mon Nov 08 2021 OpenStack_SIG <openstack@openeuler.org> - 1.9-1
- Init package python3-rst-linker of version 1.9

